#!/bin/bash
#
# Start script for XRootD caching services
# ----------------------------------------

# Switching user to xrootd user

# XRootD installation path
export XRD_PATH=/xrootd

# Adding libraries to enironment variable
export LD_LIBRARY_PATH=$XRD_PATH/xrootd/lib64:$LD_LIBRARY_PATH
export PATH=$XRD_PATH/xrootd/bin:$PATH

# Jumping into XRootD installation folder
#cd $XRD_PATH/xrootd/bin

# Starting XRootD manager/redirector services
#./xrootd -n xrootd-manager -c $HOME/xrootd/configs/manager.cf -l=$HOME/xrootd/logs/xrootd-manager.log -k 10m -p 1096 -d 3 &
#./cmsd -n cmsd-manager -c $HOME/xrootd/configs/manager.cf -l=$HOME/xrootd/logs/cmsd-manager.log -k 10m -p 1097 -d 3 &

# Starting XRootD Forward Proxy services
#su xrootd -c 'xrootd -c $XRD_PATH/configs/proxy.cf -l=$XRD_PATH/logs/proxy/xrootd.log -k 100m &'
#su xrootd -c 'xrootd -n xrootd-proxy -c $XRD_PATH/configs/proxy.cf -l=$XRD_PATH/logs/proxy/xrootd.log -k 10m -d 3 -p 1094 &'
#su xrootd -c 'cmsd -n cmsd-proxy -c $XRD_PATH/configs/proxy.cf -l=$XRD_PATH/logs/cmsd.log -k 10m -d 3 &'
#su xrootd -c 'cmsd -n cmsd-proxy -c $XRD_PATH/configs/proxy.cf -l=$XRD_PATH/logs/cmsd.log -k 10m -d 3 -p 1095 &'

# Starting XRootD 
#./xrootd -n xrootd-XrdProxyDefault -c $HOME/xrootd/configs/XrdProxyDefault.cf -l $HOME/xrootd/logs/xrootd-XrdProxyDefault.log -k hup -p 1094 -d 3 &
#./cmsd -n cmsd-XrdProxyDefault -c $HOME/xrootd/configs/XrdProxyDefault.cf -l $HOME/xrootd/logs/xrootd-XrdProxyDefault.log -k hup -p 1095 -d 3 &

# Starting XRootD proxy manager services
su xrootd -c 'xrootd -c $XRD_PATH/configs/proxy-manager.cf &'
#su xrootd -c 'xrootd -c $XRD_PATH/configs/proxy-manager.cf -l=$XRD_PATH/logs/proxy-manager/xrootd.log -k 100m &'



