#!/bin/bash
#
# Stop script for XRootD caching services
# ----------------------------------------

# Switching user to xrootd user
#su xrootd

# XRootD installation path
export XRD_PATH=/xrootd

# Adding libraries to enironment variable
export LD_LIBRARY_PATH=$XRD_PATH/xrootd/lib64:$LD_LIBRARY_PATH
export PATH=$XRD_PATH/xrootd/bin:$PATH

# Getting PIDs from tmp files
FILES=$XRD_PATH/tmp/*/*.pid

# Killing PIDs
for f in $FILES
do
  echo "Processing $f file..."
  # take action on each file. $f store current file name
  pkill -F $f
done

# Cleaning tmp directory
rm $XRD_PATH/tmp/* -rf

